/* Allgemein */
*{
  font-family: "Urbanist", serif;
  font-optical-sizing: auto;
  font-weight: normal;
  font-style: normal;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  color: #333333;
}

/* Basis fuer html und body */
html, body {
  left: 0;
  right: 0;
  padding: 0;
  font-family: "Urbanist", serif;
  font-optical-sizing: auto;
  font-weight: normal;
  font-style: normal;
  color: inherit;
  scroll-behavior: smooth;
  scroll-padding-top: 350px; /* Falls nav 100px hoch ist */
  min-height: 100vh; /* Stellt sicher, dass die Seite die volle Hohe hat */
  display: flex;
  flex-direction: column;
  max-width: 100%;
  background: linear-gradient(to bottom right, #eaf1f8, #ffffff);
}

body{
  overflow-x:hidden;
}


/*canvas {
  pointer-events: none;
  position: fixed; /* Fixiert das Canvas, sodass es nicht scrollt
  top: 0;
  left: 0;
  width: 100vw; /* Breite = 100% der Ansicht
  height: 100vh; /* Höhe = 100% der Ansicht
  z-index: -1; /* Canvas wird hinter dem Inhalt angezeigt
}*/






/* Entferne unnoetige Scrollbar-Stile */
*::-webkit-scrollbar {
  width: 0px;
  overflow-x: hidden;

}

*::-webkit-scrollbar-track {
  background: none;
  border:none;
  overflow-x: hidden;

}

*::-webkit-scrollbar-thumb {
  background: none;
  border:none;
  overflow-x: hidden;
}



/* Trennlinien */
.trennlinie_1{
  border-top: 5px outset rgb(124, 34, 109);
  padding: 5px 10px;
  margin: 50px 80px;
}


.trennlinie_2{
  border-top: 5px outset rgb(218, 168, 83);
  padding: 3px 0;
  margin: 30px 80px;
}

.trennlinie_3{
  border-top: 5px outset #a3456b;
  padding: 3px 0;
  margin: 10px 80px;
}


.trennlinie_4{
  border-top: 6px outset rgb(68, 8, 45);
  padding: 3px 10px;
  margin: 30px 80px;
  align-items: center;
}

.trennlinie_5{
  border-top: 6px outset #522e30;
  padding: 3px 10px;
  margin: 50px 80px;
}





/* BEGIN navbar */
.navbar {
  height: 350px;
  padding: 90px 10px;
  transition: all 0.4s ease;
  position: fixed;
  overflow: hidden;
  z-index: 999;
  align-items: center;
  top: 0;
  left: 0;
  transition: 0.4s;
  display: flex;
  justify-content: space-between;
  flex-wrap: nowrap;
  width: 1900px;
  }




/* Logo in der Navbar */
#head_logo {
  display: flex;
  align-items: center;
  margin-left: 40px;
  animation: spin 6s linear infinite;
}

#head_logo img {
  transition: transform 0.5s ease;
  width: 300px;
  height: 300px;
}


.navbar.small #head_logo img {
  width: 150px;
  height: 150px;
  opacity: 0.8; /* optional leicht transparent */
}

/* Menue in der Navbar */
.menu {
  display: flex;
  justify-content: space-around;
  align-items: center;
  width: 100%;
  padding: 0;
  right: 0 ;
  float: right;
  flex: 1;
  z-index: 99;
}

.menu a {
  font-size: 1.8rem;
  padding: 15px 20px;
  text-decoration: none;
  color:  #333333; /* Grau */
  display: flex;
  align-items: center;
  min-width:100px;
  justify-content: center;
  margin: 0 25px;
  font-weight: normal;
}


.menu a:hover{
  color:#868e96; /* grey */
  font-weight: bold;
}



/* Einstellung aktives Menue */
.menu_active{
  color: white !important;
  font-weight: bold !important;
  background-color: #81a1c1;
  width: 180px;
  padding: 15px 0;
  cursor: none;
  border-radius: 20px;
}

.menu_active:hover{
  text-decoration: none;
  cursor: none;
}


/*.menu-icon {
  display: none; /* Falls nicht für Mobile gebraucht
}*/

.menu.show {
  display: none;
}



.menu-icon {
  transition: transform 0.3s ease;
}

.menu-icon.open {
  transform: rotate(90deg) !important; /* oder andere Animation, z.B. Linien über CSS-Pseudoelemente */
}


.menu a:nth-of-type(2):hover {
  font-weight: bold;
  text-decoration: none;
}


/* menubutton "Weigel IT-Consulting"
.menu a:nth-of-type(4){
  align-items: center;
  min-width: 400px;
}

.menu a:nth-of-type(4):hover{
  font-weight: bold;
  text-decoration: none;
}*/


/* menubutton "Blog"*/
.menu a:nth-of-type(5){
  align-items: center;
}

.menu a:nth-of-type(5):hover{
  font-weight: bold;
  text-decoration: none;
}


.menu a:nth-of-type(6):hover{
  font-weight: bold;
  text-decoration: none;

}





/* Geschrumpfte Navbar */
.navbar.small {
  height: 100px; /* Kleinere Navbar */
  padding: 5px;
  background-color: #eaf1f8 !important;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  transition: height 0.3s ease, padding 0.3s ease;
  display: flex;
  align-items: center;
  width: 100%;
}

.navbar.small #head_logo img {
  width: 80px;
  height: 80px;
}

/*.navbar.small .menu{
font-size: 1.3rem;
color: white;
float: right;
display: flex;
padding: 15px 50px;
}*/


.navbar.small .menu a{
  font-size: 1.3rem;
  color:  #333333; /* Grau */
  padding: 5px 10px;
}

.navbar.small .menu a:hover{
  color: #868e96; /* grey */
}




/* menubutton "Weigel IT-Consulting" */
.navbar.small .menu a:nth-of-type(4){
  align-items: center;
  min-width: 250px !important;
}

.navbar.small .menu a:nth-of-type(4):hover{
  font-weight: bold;
  text-decoration: none;
}


.navbar.small .menu .menu_active{
  color:  black !important;

}

/* Geschrumpftes Logo */
.navbar.small #head_logo img {
  width: 60px;
  height: 60px;
  padding-top:-200px;
}



/* Hamburger verstecken auf Desktop */
.menu-button-container {
  display: none;
}





#menu-toggle:checked + .menu-button-container .menu-button {
  background-color: transparent;
}
#menu-toggle:checked + .menu-button-container .menu-button::before {
  transform: rotate(45deg);
}
#menu-toggle:checked + .menu-button-container .menu-button::after {
  transform: rotate(-45deg);
}



/* Mobile < 900px: Hamburger zeigen, Logo ggf. verstecken
@media screen and (max-width: 900px) {
  #head_logo img {
    display: none; /* Logo auf Mobile verstecken
  }

  .menu-button-container {
    display: flex;
    cursor: pointer;
    height: 40px;
    width: 40px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 1000;
  }

  .menu-button {
    width: 30px;
    height: 4px;
    background-color: #333;
    border-radius: 2px;
    position: relative;
    transition: all 0.3s ease;
  }

  .menu-button::before,
  .menu-button::after {
    content: '';
    width: 30px;
    height: 4px;
    background-color: #333;
    position: absolute;
    left: 0;
    transition: all 0.3s ease;
  }

  .menu-button::before {
    top: -8px;
  }
  .menu-button::after {
    top: 8px;
  }

  #menu {
    display: none;
    flex-direction: column;
    width: 100%;
    background-color: #eaf1f8;
    position: absolute;
    top: 60px;
    left: 0;
  }

  #menu-toggle:checked + .menu-button-container + #menu {
    display: flex;
  }
}*/

/* Desktop: immer sichtbar */
.gcse-search {
  display: block !important;
}

/* Mobil: ausblenden
@media screen and (max-width: 900px) {
  .gcse-search {
    display: none !important;
  }
}
*/




/* Desktop: Hamburger ausblenden */
.menu-button-container {
  display: none;
}


/* BEGIN BREADCRUMB */
.breadcrumb {
top: 33vh;
  position: absolute;
  width: 100%;
  height: 50px;
  background: transparent;
  padding:  0;
  display: inline-flex;
  float: left;
}


/* Breadcrumb style */
.breadcrumb ul {
  list-style-type: none;
  color: rgb(124, 34, 109);
  width: 100%;
  margin: 0;
  display: inline-flex;
  padding-top: -20px;
}


.breadcrumb ul li {
  text-decoration: none;
  color: rgb(124, 34, 109);
  font-size: 20px;
}



/* Gestaltung Links */
.breadcrumb ul li a {
  text-decoration: none;
  color: rgb(124, 34, 109);
  font-size: 20px;
  padding: 25px 10px;
}

/* Hover-Effekt */
.breadcrumb ul li a:hover {
  text-decoration: underline;
  padding-bottom: 15px;
  border-radius:15px;
}

/* Gestaltung von >> */
.breadcrumb ul li + li:before {
  margin: 0 10px;
  content: ">>";
  font-size: 20px;
  color: rgb(124, 34, 109);
}


/* Gestaltung von >>*/
.breadcrumb ul li + li:before {
  margin: 0 10px 0 5px ;
  content: ">>";
  font-size: 20px;
  font-weight: normal;
  color: rgb(124, 34, 109);
  display: inline-flex;
  flex-direction: row;
  background-color: none;
}
/* END navbar */



/* BEGIN Header*/
header {
  margin-top: 13%; /* oder 25% vh */
  left: 200px
  right: 200px;
  display: flex;
  z-index: 10;
  flex-direction: column;
  padding-top: 20px;
  height: auto;
  width: auto;
 text-align: center;
  align-items: center;
}



header h1{
  font-size:4rem;
  color: inherit important;
  font-family: "Lumanosimo", serif;
  font-weight: bold;
  font-style: normal;
  /*padding-top: 10px;*/
}



/*header::before {
  content: "";
  position: absolute;
  top: -20px; left: -20px; right: -20px; bottom: -20px;
  border: 20px solid transparent;
  border-radius: 30px;
  pointer-events: none; /* Verhindert Klick-Probleme
}*/



/*.scroll-indicator {
  position: absolute;
  bottom: 200px !important;
  left: 50%;
  font-size: 30px;
  text-decoration: none;
  color: RGB(240, 140, 0);
  animation: bounce 1.5s infinite;
  display: block;
  width: 50px;  /* Feste Groesse fuer den Kreis
  height: 50px;
  text-align: center;
  line-height: 50px; /* Zentriert den Pfeil vertikal
  border-radius: 50%;
  transition: background-color 0.3s ease, transform 0.3s ease, box-shadow 0.3s ease;
  background-color: RGB(186, 200, 255); /* Hintergrund wird sichtbar
  transform: translateX(-50%) translateY(20px); /* Nach unten verschieben + Skalierung
  z-index: 99999 !important;
}

  .scroll-indicator:hover{
    text-decoration: none;
    background-color: RGBA(186, 200, 255, 0.67); /* Hintergrund wird sichtbar
    color: RGB(166, 30, 77); /* Farbe des Pfeils ändern
    font-weight: bold;
    transform: translateX(-50%) translateY(25px); /* Nach unten verschieben + Skalierung
  }
/* END header */


/*content{
 scroll-margin-top: 330px; Passe die Höhe der `nav`-Leiste an
  height: auto;
font-family: "Urbanist", serif;
  font-optical-sizing: auto;
  font-weight: normal;
  max-width: 100%;*
  align-items: center;
  justify-content: center;
}



.content{
  scroll-margin-top: 330px; /* Passe die Höhe der `nav`-Leiste an
  max-width:100%;
  margin-left: 300px;
  margin-right: 300px;
  position: relative;
  text-align: center;
  align-items: center;
  padding: 0;
  flex-direction: column;
  justify-content: center;
}*/





/* BEGIN main - gesamter main-Bereich*/
main{
  width: 100%;
  height: auto;
  margin:  0;
  padding: 0 20px;
  align-items: center;
  text-align: center;
}



section{
  padding: 0 2rem;
  width: 100%;
  margin: auto;
}


section img {
    width: 250px;
    height: 350px;
    border-radius: 20px;
    margin: 1 auto;

}






section h1{
  font-size: 2.5rem;
  margin-bottom: 1rem;
}

section h2{
  font-size: 2rem;
  margin: 4rem 0;
  align-items: center !important;
  font-style: italic;
  text-align: center;
}

section ol{
margin: 1rem 0 1rem 5rem;
font-size: 2rem;
text-align: left !important;
}

section ol li{
  list-style: decimal;
margin-top: 1rem;
margin-bottom: 1rem;
font-size: 2rem;
}





.main_main{
  height: auto;
  width: 100%;
  margin: 0;
  padding: 0;
}

/*.main_container{
  height: auto;
  top: 50px;
  align-items: center;
  padding: 10px;
  z-index: 9;
  position: relative;
 transition: opacity 0.5s ease-in-out;
width: 1400px;
margin-left: 250px;
  display: flex;
  justify-content: center;
  gap: 2rem;
  margin-top: 2rem;
}*/


.main_container {
  width: 100%;
  max-width: 1200px;
  margin: 2rem auto; /* zentriert auf allen Geräten */
  display: flex;
  justify-content: center;
  gap: 2rem;
  flex-wrap: wrap; /* Elemente umbrechen, wenn Platz fehlt */
}

/*.main_container {
  display: flex;
  justify-content: center;
  gap: 2rem;
  margin: 2rem auto; /* zentriert
  max-width: 1200px;
  flex-wrap: wrap; /* damit bei kleinen Bildschirmen untereinander
}*/




.main_box_left,
.main_box_mitte,
.main_box_right {
  width: 300px;
  height: 350px;
  margin-bottom: 1.5rem;
}




/* Spalten
#box_left,
#box_right,
#box_mitte{
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: flex-start;
  width: 300px;
  height: 350px;
  position: relative;
  overflow: hidden;
  border-radius: 10px;
  box-shadow: 0 0 10px  rgba(0,0,0,0.1);
  gap: 2.5rem;
}*/

/* Box-Design*/
.main_box_left,
.main_box_mitte,
.main_box_right {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: flex-start;
  width: 300px !important;
  height: 350px !important;
  position: relative;
  overflow: hidden;
  border-radius: 10px;
  box-shadow: 0 0 10px  rgba(0,0,0,0.1);
  gap: 2.5rem;
}

/* Bild in der Box */
.imagecontainer {
  position: relative;
  width: 100%;
  height: 100%;
  overflow: hidden;
}

/* Bild selbst */
.imagecontainer img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: filter 0.3s ease;
  display: block;
}

/* Bild verschwommen bei Hover */
.imagecontainer:hover img {
  filter: blur(4px);
}

/* Titeltext (z. B. Vita) – immer sichtbar */
.overlay-text01 {
  position: absolute;
  top: 10px;
  left: 10px;
  z-index: 2;
  font-weight: bold;
  color: white;
  background: rgba(0, 0, 0, 0.6);
  padding: 4px 8px;
  border-radius: 5px;
}

/* Hovertext (Mehr erfahren...) – erscheint bei Hover */
.overlay-text02 {
  position: absolute;
  bottom: 10px;
  left: 10px;
  z-index: 2;
  background: rgba(0, 0, 0, 0.6);
  color: white;
  padding: 4px 8px;
  border-radius: 5px;
  opacity: 0;
  transition: opacity 0.3s ease;
}

/* Hover sichtbar machen */
.imagecontainer:hover .overlay-text02 {
  opacity: 1;
}







/* Fussbereich */
#footer {
position: relative;
padding: 5px 0;
background-color: #eaf1f8 !important;
color: #868e96 !important;
font-size: 20px;
bottom: 0;
width:100%;
text-align: center;
height: 160px;
z-index:99;
float: left;
transition: opacity 0.3s ease;  /* Sanfte ÃƒÅ“bergangseffekte */
opacity:0;  /* Anfangs unsichtbar */
 }

 /* Die Klasse, die den Footer sichtbar macht */
 #footer.show {
   opacity: 1;  /* Footer sichtbar */
 }

 #footer.hidden {
   opacity: 0;
   width: 100% !important;
   z-index: 999;
 }


    /* Button, um den Footer ein-/auszufahren */
    .toggle-button {
      position: fixed;
      bottom: 20px;
      right: 20px;
      padding: 10px 15px;
      background-color: #c5d4e4;
      color: #eceff4 !important;
      border: 3px outset #d6e0ea;
      border-radius: 8px;
      cursor: pointer;
      z-index: 9999;
      font-size: 20px;
      display: block; /* nicht hidden */
    }

  /*  .toggle-button {
      position: fixed;
      bottom: 20px;
      right: 20px;
      padding: 10px 15px;
      background-color: #c5d4e4;
      color: #333;
      border: 3px outset #d6e0ea;
      border-radius: 8px;
      cursor: pointer;
      z-index: 9999;
      font-size: 18px;
      display: block; /* sicherstellen
    }*/

    .toggle-button:hover {
      color: #81a1c1;
      font-weight: bold;
    }





  /*  .toggle-button {
      position: fixed;
      bottom: 20px;
      right: 20px;
      z-index: 9999;
      display: block; /* nicht hidden
    }*/


  .toggle-button:hover {
    color: #81a1c1 !important;
    font-weight: bold;
  }

        #footertoggle-button{
        display: none;
        opacity: 1;
    }


    /* Inhalt der 4 Spalten */
.footer_container{
  padding-top: 5px;
  width: 100% !important;
  z-index: 999;
  margin: 0 200px;
  color: #868e96 !important;
}


/* Spalten*/
.footer_row{
  display: flex;
  flex-direction: row;
  padding: 0 5%;
  width: 100% !important;
  z-index: 999;
  color: #868e96 !important;
  }

/* 1. Spalte */
.col01{
  padding: 5px 6%;
  min-width: 550px;
  color: #868e96 !important;
}

.MyFooter ul{
  list-style: none;
  display:  flex;
  flex-direction: column;
  text-align: left;
  color: #868e96 !important;
}


.MyFooter ul li{
  list-style: none;
  padding-bottom: 10px;
  float: left;
  color: #868e96 !important;
}

.MyFooter ul li a{
  color: #868e96 !important;
  text-decoration: none;
  font-weight: normal;
  transition: all 0.5s ease;
}

.MyFooter ul li a:hover{
  color: #5e81ac !important;
  text-decoration: none;
  font-weight: bold;
}


/* 2. Spalte */
.col02{
  padding: 5px 4%;
  color: #868e96 !important;
}


.col02 h1{
  color: inherit !important;
  text-decoration: none;
  transition: all 0.5s ease;
  text-align: center;
  font-size: 19px;
  font-weight: normal;
}

/*
.col02 h2{
  padding-top: 3px;
  color: inherit;
  text-decoration: none;
  transition: all 0.5s ease;
  text-align: center;
  font-size: 15px;
  font-weight: normal;
}*/





/* 3. Spalte */
.col03{
  padding: 5px 6%;
  color: #868e96 !important;
}

.col03 h1{
  color: #868e96 !important;
  text-decoration: none;
  transition: all 0.5s ease;
  text-align: center;
  font-size: 19px;
  font-weight: normal;
}


.social-links a{
  display: inline-block;
  height: 40px;
  width: 40px;
  background-color: rgba(255,255,255,0.2);
  margin:0 10px 10px 0;
  text-align: center;
  line-height: 40px;
  border-radius: 50%;
  color: inherit !important;
  transition: all 0.5s ease;
}

.social-links a:hover{
  color: #5e81ac !important;
  background-color: #ffffff;
  text-decoration: none;
}





/* an den Seitenanfang springen*/
#top {
  display: inline-block;
  padding: 10px;
  background-color: #81a1c1;
  color: #81a1c1 !important;
  font-size: 22px;
  font-weight: bold;
  border: 5px outset #81a1c1;
  text-decoration: none;
  border-radius: 15px;
  font-size: 22px;
  cursor: pointer;
  margin: 0 5px;
  transition: transform 0.3s ease;
  z-index: 999;
}

#top:hover {
  color: white !important;
  font-weight: bold;
}




.footer_bottom ul{
  width: calc(100% - 500px);
  float: left;
  list-style: none;
  text-align: center;
  display: inline;
  z-index: 100;
  padding: 1 auto;

}

.footer_bottom ul li{
  margin-top: 1em;
  align-items: center;
  display: inline;
}

.footer_bottom ul li a{
  color:#868e96; /* grey */
  text-decoration: none;
}

.footer_bottom ul li a:hover{
  color: #e06228;
  text-decoration: none;
}


/*.previous {
  background-color: inherit;
  color: white !important;
  width: 250px;
  height: 70px;
  text-decoration: none;
  padding: 5px 18px;
  font-weight: bold;
}

.previous:hover {
  background-color: inherit;
  color: #914f11;
  text-decoration: none;
  border: 5px inset #914f11;
  border-radius: 15px;
  padding: 5px 18px;
}*/

/* Seite vorwaerts */
.next {
  background-color: inherit;
  color: #868e96 !important;
  width: 250px;
  height: 70px;
  text-decoration: none;
  padding: 5px 18px;
  font-weight: normal;
  z-index: 999;
}


.next:hover {
  text-decoration: none;
  color: #868e96 !important;
border: 5px inset #81a1c1;
  border-radius: 15px;
  padding: 5px 18px;
  font-weight: bold;
}
